# Forward Midi events to redis/OSC

Miredis hooks to all midi devices connected and listen for events.
All events are forwarded to a redis server and an OSC server.

Run :

python3 miredis.py

## Redis keys

"/midi/noteon/midichannel"      value : "note/velocity"

"/midi/noteoff/midichannel"     value : "note"

"/midi/cc/midichannel/ccnumber" value : "ccvalue"

## OSC

/midi/noteon midichannel note velocity

/midi/noteoff midichannel note 

/midi/cc midichannel ccnumber value

/midi/clock

/midi/start

/midi/stop